当前位置:首页 > 开发 > 开源软件 > 正文

ubuntu 安装 zope

发表于: 2012-11-09   作者:bee1314   来源:转载   浏览:
摘要:          python的企业级开发不知道Zope和Plone只能说太可惜,虽然古老但是我相信从中一点可以学道很多的东西。Zope3的变革和JavaEE的很多的东西类似, 本身就是做Java的所以多Zope还是很有好感的,尽管很多的人觉得它不是那么的Pythonic。我想针对企业的千差万别的业务需求,如果完全Py

         python的企业级开发不知道Zope和Plone只能说太可惜,虽然古老但是我相信从中一点可以学道很多的东西。Zope3的变革和JavaEE的很多的东西类似, 本身就是做Java的所以多Zope还是很有好感的,尽管很多的人觉得它不是那么的Pythonic。我想针对企业的千差万别的业务需求,如果完全Pythonic真心不容易啊,所以我觉得还是pragramtic很重要,以更加务实的观点去审视技术和产品本身。向python.cn的大牛们致敬。

 

       先学习Zope2吧。不然可能无法体会zope3的好,或者说zope2本身已经很强大。

 

      下载zope2.11.7,安装的过程中提示python的版本太高,无奈下载python2.4.6了。肯定是cmmi了。

     configure, make, make install

 

      然后在zope的configure时指定了python路径,--with-python=<path>,但是在configure的过程中,报python的解释器找不到zlib,真心小烦躁啊。

 

     ubuntu下面:

     sudo apt-cache search zlib

 

     sudo apt-get install zlib1g zlib1g-dev

 

   然后重新编译python,在configure中指定,./configure --with-zlib=/usr/include

 

 

 

ubuntu 安装 zope

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号